JmxServiceImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jmx.internal
Class JmxServiceImpl

    java.lang.Object
      org.hibernate.service.jmx.internal.JmxServiceImpl

All Implemented Interfaces:
  Serializable, JmxService, Service, Stoppable

    public class JmxServiceImpl

extends Object
implements JmxService, Stoppable

Standard implementation of JMX services

See Also:
  Serialized Form

Field Summary
`static String` | `OBJ_NAME_TEMPLATE`

Constructor Summary
`JmxServiceImpl(Map configValues)`

Method Summary
`void` | `registerMBean(ObjectName objectName, Object mBean)` Registers the given `mBean` under the given `objectName`
`void` | `registerService(Manageable service, Class<? extends Service> serviceRole)` Handles registration of a manageable service.
`void` | `stop()` Stop phase notification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJ_NAME_TEMPLATE

    public static final String OBJ_NAME_TEMPLATE

See Also:
  Constant Field Values

Constructor Detail

### JmxServiceImpl

    public JmxServiceImpl(Map configValues)

Method Detail

### stop

    public void stop()

  Description copied from interface: `Stoppable`
  Stop phase notification

  Specified by:
    `stop` in interface `Stoppable`

### registerService

    public void registerService(Manageable service,
                                Class<? extends Service> serviceRole)

  Description copied from interface: `JmxService`
  Handles registration of a manageable service.

  Specified by:
    `registerService` in interface `JmxService`
  Parameters:
    `service` - The manageable service
    `serviceRole` - The service's role.

### registerMBean

    public void registerMBean(ObjectName objectName,
                              Object mBean)

  Description copied from interface: `JmxService`
  Registers the given `mBean` under the given `objectName`

  Specified by:
    `registerMBean` in interface `JmxService`
  Parameters:
    `objectName` - The name under which to register the MBean
    `mBean` - The MBean to register

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.